Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(5)

Issue 235653003: Gallery.app: Add empty place holders for new separated Gallery app. (Closed)

Created:
5 years, 9 months ago by hirono
Modified:
5 years, 9 months ago
CC:
chromium-reviews, extensions-reviews_chromium.org, arv+watch_chromium.org, oshima+watch_chromium.org, chromium-apps-reviews_chromium.org, stevenjb+watch_chromium.org, android-webview-reviews_chromium.org
Visibility:
Public.

Description

Gallery.app: Add manifest, assets, and empty place holders for new separated Gallery app. Currently the gallery app is integrated to Files.app. This is the first patch to separate the gallery from Files.app. BUG=358698 TEST=None R=miket@chromium.org, mkosiba@chromium.org, mtomasz@chromium.org TBR=sky@chromium.org # TBRing for adding a resource to browser_resources.grd. Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=265145

Patch Set 1 #

Patch Set 2 : Fix non-chromeos build. #

Total comments: 10

Patch Set 3 : Fix manifest.json. #

Patch Set 4 : Add the contents of gallery_scripts.js #

Unified diffs Side-by-side diffs Delta from patch set Stats (+130 lines, -117 lines) Patch
M android_webview/tools/third_party_files_whitelist.txt View 1 2 3 1 chunk +2 lines, -0 lines 0 comments Download
M chrome/browser/browser_resources.grd View 1 2 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/extensions/component_loader.h View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/extensions/component_loader.cc View 1 3 chunks +10 lines, -0 lines 0 comments Download
M chrome/browser/resources/component_extension_resources.grd View 1 2 1 chunk +7 lines, -0 lines 0 comments Download
A chrome/browser/resources/gallery/OWNERS View 1 chunk +1 line, -0 lines 0 comments Download
A + chrome/browser/resources/gallery/css/gallery.css View 13 chunks +94 lines, -94 lines 0 comments Download
A + chrome/browser/resources/gallery/gallery.html View 0 chunks +-1 lines, --1 lines 0 comments Download
A + chrome/browser/resources/gallery/images/100/arrow_left.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/100/arrow_right.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/100/back_to_files.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/100/bubble_point.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/100/butterbar_close_button.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/100/cursor_crop.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/100/cursor_leftright.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/100/cursor_move.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/100/cursor_nwse.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/100/cursor_swne.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/100/cursor_updown.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/100/icon.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/100/icon_1up.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/100/icon_1up_selected.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/100/icon_autofix.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/100/icon_autofix_selected.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/100/icon_brightness.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/100/icon_brightness_selected.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/100/icon_contrast.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/100/icon_crop.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/100/icon_crop_selected.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/100/icon_delete.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/100/icon_delete_selected.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/100/icon_edit.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/100/icon_edit_selected.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/100/icon_mosaic.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/100/icon_mosaic_selected.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/100/icon_print.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/100/icon_print_selected.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/100/icon_redo.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/100/icon_redo_selected.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/100/icon_rotate.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/100/icon_rotate_left.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/100/icon_rotate_left_selected.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/100/icon_rotate_selected.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/100/icon_share.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/100/icon_share_selected.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/100/icon_slideshow.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/100/icon_slideshow_selected.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/100/icon_undo.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/100/icon_undo_selected.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/100/slider_thumb.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/100/slideshow-end.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/100/slideshow-pause.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/100/slideshow-play.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/200/arrow_left.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/200/arrow_right.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/200/back_to_files.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/200/bubble_point.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/200/butterbar_close_button.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/200/cursor_crop.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/200/cursor_leftright.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/200/cursor_move.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/200/cursor_nwse.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/200/cursor_swne.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/200/cursor_updown.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/200/icon.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/200/icon_1up.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/200/icon_1up_selected.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/200/icon_autofix.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/200/icon_autofix_selected.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/200/icon_brightness.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/200/icon_brightness_selected.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/200/icon_contrast.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/200/icon_crop.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/200/icon_crop_selected.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/200/icon_delete.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/200/icon_delete_selected.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/200/icon_edit.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/200/icon_edit_selected.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/200/icon_mosaic.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/200/icon_mosaic_selected.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/200/icon_print.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/200/icon_print_selected.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/200/icon_redo.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/200/icon_redo_selected.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/200/icon_rotate.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/200/icon_rotate_left.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/200/icon_rotate_left_selected.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/200/icon_rotate_selected.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/200/icon_share.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/200/icon_share_selected.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/200/icon_slideshow.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/200/icon_slideshow_selected.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/200/icon_undo.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/200/icon_undo_selected.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/200/slider_thumb.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/200/slideshow-end.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/200/slideshow-pause.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/images/200/slideshow-play.png View Binary file 0 comments Download
A + chrome/browser/resources/gallery/js/background.js View 0 chunks +-1 lines, --1 lines 0 comments Download
A + chrome/browser/resources/gallery/js/error_util.js View 0 chunks +-1 lines, --1 lines 0 comments Download
A + chrome/browser/resources/gallery/js/gallery.js View 0 chunks +-1 lines, --1 lines 0 comments Download
A + chrome/browser/resources/gallery/js/gallery_scripts.js View 1 2 3 1 chunk +1 line, -8 lines 0 comments Download
A + chrome/browser/resources/gallery/js/test_util.js View 0 chunks +-1 lines, --1 lines 0 comments Download
A + chrome/browser/resources/gallery/manifest.json View 1 2 2 chunks +13 lines, -20 lines 0 comments Download
M chromeos/chromeos_switches.h View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chromeos/chromeos_switches.cc View 1 2 3 1 chunk +4 lines, -0 lines 0 comments Download

Messages

Total messages: 15 (0 generated)
hirono
PTAL the CL? Thanks!
5 years, 9 months ago (2014-04-11 22:53:57 UTC) #1
mtomasz
On 2014/04/11 22:53:57, hirono wrote: > PTAL the CL? Thanks! There seems to be an ...
5 years, 9 months ago (2014-04-11 23:15:53 UTC) #2
mkosiba (inactive)
the JS files look like they're empty. did you get errors when uploading the CL?
5 years, 9 months ago (2014-04-14 17:38:51 UTC) #3
hirono
On 2014/04/14 17:38:51, mkosiba wrote: > the JS files look like they're empty. did you ...
5 years, 9 months ago (2014-04-14 22:48:14 UTC) #4
mtomasz
lgtm with minor nits https://codereview.chromium.org/235653003/diff/40001/chrome/browser/resources/gallery/manifest.json File chrome/browser/resources/gallery/manifest.json (right): https://codereview.chromium.org/235653003/diff/40001/chrome/browser/resources/gallery/manifest.json#newcode5 chrome/browser/resources/gallery/manifest.json:5: "name": "New Gallery", nit: I ...
5 years, 9 months ago (2014-04-15 03:14:02 UTC) #5
hirono
Thanks! https://codereview.chromium.org/235653003/diff/40001/chrome/browser/resources/gallery/manifest.json File chrome/browser/resources/gallery/manifest.json (right): https://codereview.chromium.org/235653003/diff/40001/chrome/browser/resources/gallery/manifest.json#newcode5 chrome/browser/resources/gallery/manifest.json:5: "name": "New Gallery", On 2014/04/15 03:14:03, mtomasz wrote: ...
5 years, 9 months ago (2014-04-15 03:49:40 UTC) #6
hirono
On 2014/04/15 03:49:40, hirono wrote: > Thanks! > > https://codereview.chromium.org/235653003/diff/40001/chrome/browser/resources/gallery/manifest.json > File chrome/browser/resources/gallery/manifest.json (right): > ...
5 years, 9 months ago (2014-04-15 03:55:46 UTC) #7
mkosiba (inactive)
On 2014/04/14 22:48:14, hirono wrote: > On 2014/04/14 17:38:51, mkosiba wrote: > > the JS ...
5 years, 9 months ago (2014-04-15 09:08:20 UTC) #8
hirono
On 2014/04/15 09:08:20, mkosiba wrote: > On 2014/04/14 22:48:14, hirono wrote: > > On 2014/04/14 ...
5 years, 9 months ago (2014-04-16 02:16:48 UTC) #9
hirono
On 2014/04/16 02:16:48, hirono wrote: > On 2014/04/15 09:08:20, mkosiba wrote: > > On 2014/04/14 ...
5 years, 9 months ago (2014-04-17 06:22:54 UTC) #10
mkosiba (inactive)
sorry for the delay. LGTM
5 years, 9 months ago (2014-04-17 08:21:01 UTC) #11
hirono
On 2014/04/17 08:21:01, mkosiba wrote: > sorry for the delay. LGTM @mkosiba - Thank you! ...
5 years, 9 months ago (2014-04-17 09:05:59 UTC) #12
hirono
It seems that @asargent is busy. @miket PTAL component_loader.{cc,h}? Thank you.
5 years, 9 months ago (2014-04-21 02:21:58 UTC) #13
miket_OOO
On 2014/04/21 02:21:58, hirono wrote: > It seems that @asargent is busy. > @miket PTAL ...
5 years, 9 months ago (2014-04-21 15:55:18 UTC) #14
hirono
5 years, 9 months ago (2014-04-22 02:20:08 UTC) #15
Message was sent while issue was closed.
Committed patchset #4 manually as r265145 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698